*, :before, :after {
  box-sizing: border-box;
}

body {
  background: #232323;
  font-family: "Source Sans Pro";
  text-align: center;
}

h1 {
  font-weight: 200;
  color: rgba(255, 255, 255, 0.2);
  padding-top: 3rem;
}

#reset {
  background: transparent;
  border: solid 1px rgba(255, 255, 255, 0.2);
  margin-top: 3rem;
  padding: 0.5rem 1rem 0.66rem;
  color: rgba(255, 255, 255, 0.2);
  font-size: 1.5rem;
  font-weight: 200;
  text-transform: uppercase;
  transition: 0.15s linear all;
}
#reset:hover {
  background: rgba(255, 255, 255, 0.2);
  color: #232323;
}

.button,
[class*='button-'] {
  background: #00B6E9;
  display: inline-block;
  padding: 1rem 2rem;
  color: #232323;
  font: 200 1.5rem "Source Sans Pro";
  text-transform: lowercase;
  text-decoration: none;
  text-align: left;
  transition: 0.5s linear all;
}
.button:hover,
[class*='button-']:hover {
  background: #f5cd00;
  text-decoration: none;
}

.download-wrap {
  /*perspective: 80rem;*/
  position: absolute;
  perspective-origin: 50% 50% 0;
  width: 200px;
  height: 4rem;
  left: calc(50% - 200px);
  margin: 0 auto;
}

.download {
  position: absolute;
  width: 200px;
  height: 4rem;
  transform-style: preserve-3d;
  transform-origin: 50% 50% 0;
  transform: rotateX(0deg);
  transition: 0.2s linear all;
}
.download.is-active {
  transform: rotateX(90deg) translateZ(2rem);
}


.button-download,
.meter {
  position: absolute;
  top: -92px;
  width: 200px;
  height: 4rem;
  font-size: 28px;
  font-weight: 200;
  line-height: 4rem;
  padding: 0 2rem;
  transform-origin: top center;
  text-transform: uppercase;
  border-radius: 8px;
}

.meter {
  background: #C41564;
  overflow: hidden;
  transform: rotateX(270deg);
}
.meter:before, .meter:after {
  display: block;
  text-align: center;
  color: rgba(255, 255, 255, 0.5);
}
.meter:before {
  content: 'downloading...';
  animation: white-pulse 1s infinite alternate;
}
.meter:after {
  content: 'done!';
  display: none;
  color: #fff;
}
.meter.is-done:before {
  display: none;
}
.meter.is-done:after {
  display: block;
}


.icon-wrap {
  position: absolute;
  right: 0rem;
  top: 0;
  bottom: 0;
  width: 4rem;
  padding-top: 1.66rem;
  background: rgba(0, 0, 0, 0.1);
}

.icon-download {
  position: relative;
  display: block;
  width: 2.5rem;
  height: 1rem;
  margin: auto;
  border: solid 0.5rem #232323;
  border-top: none;
}
.icon-download:before, .icon-download:after {
  content: '';
  display: block;
  position: absolute;
  animation: icon-bounce .3s infinite alternate;
}
.icon-download:before {
  left: 0.5rem;
  top: -0.5rem;
  width: 0.5rem;
  height: 0.5rem;
  background: #232323;
}
.icon-download:after {
  left: 0.25rem;
  top: -0.125rem;
  width: 0;
  height: 0;
  border-left: solid 0.5rem transparent;
  border-right: solid 0.5rem transparent;
  border-top: solid 0.5rem #232323;
}

@keyframes icon-bounce {
  from {
    transform: translateY(-5px);
  }
  to {
    transform: translateY(0);
  }
}
@keyframes white-pulse {
  from {
    color: rgba(255, 255, 255, 0.2);
  }
  to {
    color: rgba(255, 255, 255, 0.5);
  }
}


@media (max-width: 1200px){
  .button-download, .meter {
    position: absolute;
    top: -88px;
    width: 200px;
    height: 4rem;
    font-size: 28px;
    font-weight: 200;
    line-height: 4rem;
    padding: 0 2rem;
    transform-origin: top center;
    text-transform: uppercase;
    border-radius: 8px;
  }
}
